/**
 *******************************************************************************
 * @file    tmpm3u6_tmrb_int.c
 * @brief   all interrupt request functions definition of TMRB_TIMER demo
 *          for the TOSHIBA 'TMPM3U6' Device Series 
 * @version V0.101
 * @date    2019/07/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "main.h"

extern uint8_t fdisplay;

/**
  * @brief  TMRB0 interrupt service routine (1ms)
  * @param  None
  * @retval None
  */
void INTTB00_IRQHandler(void)
{
    static uint16_t tbcount = 0U;
    tbcount++;
    if (tbcount >= 1000U) {
        tbcount = 0U;
        fdisplay = 1U;
    } else {
        /* do nothing */
    }
}

/*********************************** END OF FILE ******************************/
