/**
 *******************************************************************************
 * @file    tmpm3u6_int.h
 * @brief   All interrupt request functions prototypes of DMAC
 *           for the TOSHIBA 'TMPM3U6' Device Series
 * @version V0.111
 * @date    2019/07/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */


/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM3U6_INT_H
#define __TMPM3U6_INT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM3u6.h"
#include "tmpm3u6_dmac.h"
#include "main.h"

#define BUFFER_SIZE  32U
/* external variables --------------------------------------------------------*/
extern volatile uint8_t UART_Rx_Buffer[BUFFER_SIZE];
extern volatile uint8_t UART_Rx_Cnt;
extern volatile WorkState TxEndFlag;

/* Private function prototypes -----------------------------------------------*/
void INTRX1_IRQHandler(void);
void INTDMACTC_IRQHandler(void);

#endif                          /* __TMPM3U6_INT_H */
