/**
 *******************************************************************************
 * @file    main.h
 * @brief   The Header file of IGBT Two PPG for the TOSHIBA 'TMPM3U6' 
 *          Device Series 
 * @version V0.211
 * @date    2019/07/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
#include "tmpm3u6_igbt.h"
#include "sw.h"
#include "led.h"

#define IGBT_DEAD_TIME_5US      ((uint16_t)200)
#define IGBT_ACTIVE_PERIOD_20US ((uint16_t)800)
#define IGBT_PPG_PERIOD_50US    ((uint16_t)2000)
#define IGBT0_EMG_STOP          (TSB_MT0_IGEMGST_IGEMGST == 1U)

void IGBT_IO_Configuration(TSB_MT_TypeDef * IGBTx, IGBT_InitTypeDef * InitTypeDef);
#endif                          /* __MAIN_H */
