/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of RMC_Receiving demo for the TOSHIBA
 *          'TMPM3U6' Device Series 
 * @version V0.122
 * @date    2019/07/26
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm3u6_tmrb.h"
#include "tmpm3u6_rmc.h"
#include "tmpm3u6_gpio.h"
#include "tmpm3u6_cg.h"
#include "tmpm3u6_uart.h"
#include "tmpm3u6_int.h"
#include "uart.h"
#include "timer.h"
#include "rmc.h"
#include <stdio.h>

/* external variables --------------------------------------------------------*/
extern uint8_t fTMRB0_INT;
extern uint32_t gRMC_Command;
extern uint16_t gRMC_Address;
#ifdef RMC_4
extern uint8_t gRMC_4Address;
#endif

/* Private define ------------------------------------------------------------*/
#ifdef RMC_1
/************** FOR RMC_1 FORMAT ****************/
#define FORMAT      "RMC_1"     /* FORMAT name */
#endif

#ifdef RMC_2
/************** FOR RMC_2 FORMAT ****************/
#define FORMAT      "RMC_2"     /* FORMAT name */
#endif

#ifdef RMC_3
/************** FOR RMC_3 FORMAT ****************/
#define FORMAT      "RMC_3"     /* FORMAT name */
#endif

#ifdef RMC_4
/************** FOR RMC_4 FORMAT ****************/
#define FORMAT      "RMC_4"     /* FORMAT name */
#endif

#ifdef RMC_5
/************** FOR RMC_5 FORMAT ****************/
#define FORMAT      "RMC_5"     /* FORMAT name */
#endif

/* Private function prototypes -----------------------------------------------*/
void PrintCode(char *ch, uint16_t addr, uint32_t cmd);
#endif
