/** 
 *******************************************************************************
 * @file    timer.c
 * @brief   the application functions of RMC_Receiving demo for the TOSHIBA
 *          'TMPM3U6' Device Series 
 * @version V0.113
 * @date    2019/07/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "timer.h"

/**
  * @brief  Initialize the timer.
  * @param  TMRB channel
  * @retval None
  */
void Timer_ChInit(TSB_TB_TypeDef * TBx)
{
    TMRB_InitTypeDef myTMRB;

    /* Initialize TIMER(TMRB) */
    myTMRB.Mode = TMRB_INTERVAL_TIMER;
    myTMRB.ClkDiv = TMRB_CLK_DIV_8;
    myTMRB.TrailingTiming = TMRB_1ms;    /* Specific value depends on system clock */
    myTMRB.UpCntCtrl = TMRB_AUTO_CLEAR;
    myTMRB.LeadingTiming = TMRB_1ms / 2U;        /* Specific value depends on system clock */

    TMRB_Enable(TBx);
    TMRB_Init(TBx, &myTMRB);
    TMRB_SetRunState(TBx, TMRB_STOP);
}
