/**
 *******************************************************************************
 * @file    dma.h
 * @brief   Head file to initialize DMA for application "SSP0 LoopBack with DMA 
 *          in Tx/Rx" for the TOSHIBA 'TMPM3U6' Device Series
 * @version V0.111
 * @date    2019/07/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
 
#ifndef __DMA_H
#define __DMA_H


#define BUFFER_SIZE  60U

extern const uint16_t SRC_Buffer[BUFFER_SIZE];
extern uint16_t DST_Buffer[BUFFER_SIZE];
extern volatile WorkState TxEndFlag;

void InitDMA(void);

#endif                          /* __DMA_H */
