/**
 ******************************************************************************
 * @file     led.c
 * @brief    LED driver for the TOSHIBA 'TMPM3U6' Device Series
 * @version  V0.101
 * @date     2019/07/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/** include files **/

#include "led.h"
#include "tmpm3u6_gpio.h"
/** local definitions **/

/** default settings **/

/** external functions **/

/** external data **/

/** internal functions **/

/** public data **/

/** private data **/

/** public functions **/
/*************************************************************************
 * Function Name: LED_Init
 * Parameters:None
 *
 * Return:None  
 *
 * Description: Init LED ports
 *
 *************************************************************************/
void LEDInit(void)
{
    uint8_t tmp;
    GPIO_SetOutput(GPIO_PG, 0XF0U);
    tmp = GPIO_ReadData(GPIO_PG);
    tmp &= 0x0Fu;
    GPIO_WriteData(GPIO_PG,tmp);  
    
}
/*************************************************************************
 * Function Name: LedOff
 * Parameters:LED number
 *
 * Return:None  
 *
 * Description: Led Digtit OFF, but others don't change
 *
 *************************************************************************/
void LedOff(uint8_t led)
{
    uint8_t tmp;
    tmp = GPIO_ReadData(GPIO_PG);
    tmp &= (uint8_t) (~led);
    GPIO_WriteData(GPIO_PG, tmp);
}

/*************************************************************************
 * Function Name: LedOn
 * Parameters:LED number
 *
 * Return:None  
 *
 * Description: Led Digtit ON, but others don't change
 *
 *************************************************************************/
void LedOn(uint8_t led)
{
    uint8_t tmp;
    tmp = GPIO_ReadData(GPIO_PG);
    tmp |= led;
    GPIO_WriteData(GPIO_PG, tmp);
}


