/** 
 *******************************************************************************
 * @file    uart.h
 * @brief   the application functions of UART_Retarget demo for the TOSHIBA
 *          'TMPM3U6' Device Series 
 * @version V0.112
 * @date    2019/07/26
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __UART_H
#define __UART_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm3u6_uart.h"
#include "tmpm3u6_gpio.h"
#include "stdio.h"

/* Private define ------------------------------------------------------------*/
#define BUFFER_SIZE     16U
#define SET             0x01U           /* flag is set */
#define CLEAR           0x00U           /* flag is cleared */
#define NO              0x00U           /* Send finish NG */
#define YES             0x01U           /* Send finish OK */
#define UART_RETARGET   UART0
#define RETARGET_INT    INTTX0_IRQn

/* external variables --------------------------------------------------------*/

extern uint8_t fSIOTxOK;

/* Exported functions ------------------------------------------------------- */
void SIO_Configuration(TSB_SC_TypeDef * SCx);
void SIO_ChInit(void);
uint8_t send_char(uint8_t ch);
void INTTX0_IRQHandler(void);
void hardware_init(TSB_SC_TypeDef * SCx);

#endif
