/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of VLTD (Voltage Detection Circuit) demo
 *          for the TOSHIBA 'TMPM3U6' Device Series
 * @version V0.101
 * @date    2019/07/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

#include "main.h"

int main(void)
{

    WDT_Disable();              /* Disable WDT explicitly */

    LEDInit();                  /* Initialize LED */

    VLTD_SetVoltage(VLTD_DETECT_VOLTAGE_46);    /* change the parameter to select
                                                   different detection voltage */
    VLTD_Enable();

    while (1) {
        /* Do nothing */
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
