/**
 *******************************************************************************
 * @file    tmpm3u6_vltd_int.c
 * @brief   all interrupt request functions definition of VLTD
 *          for the TOSHIBA 'TMPM3U6' Device Series
 * @version V0.101
 * @date    2019/07/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include <stdio.h>
#include "tmpm3u6_vltd_int.h"
#include "main.h"

/**
  * @brief  The NMI interrupt request function.
  * @param  None
  * @retval None
  */
void NMI_Handler(void)
{
    /* Make sure the NMI is generated by VLTD. */
    if (CG_GetNMIFlag().Bit.VoltageDetection == 1U) {
        LedOn(LED1);

        /* Wait for the power supply voltage to be normal. */
        while (VLTD_GetStatus() == 1U) {
            __NOP();
        }
        LedOff(LED1);

    } else {
        /* Do nothing */
    }
}
