/**
 *******************************************************************************
 * @file    main.c
 * @brief   The application functions of WDT demo for the
 *          TOSHIBA 'TMPM3U6' Device Series 
 * @version V0.101
 * @date    2019/07/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

#include "tmpm3u6_wdt.h"
#include "led.h"
extern uint8_t fIntNMI;
//#define DEMO2
void Delay(int time);
void Delay(int time)
{
    volatile uint32_t i = 0U;
    for (i = 0U; i < (time * 800U); ++i){
        /* Do nothing */
    }
}

int main(void)
{
    WDT_InitTypeDef WDT_InitStruct;
    WDT_InitStruct.DetectTime = WDT_DETECT_TIME_EXP_25;
    WDT_InitStruct.OverflowOutput = WDT_NMIINT;

    LEDInit();

    LedOff(LED_ALL);

    WDT_Init(&WDT_InitStruct);
    WDT_Enable();

    while (1) {
        if (fIntNMI == 1U) {
            fIntNMI = 0U;
            LedOn(LED1);
            Delay(500U);
            LedOff(LED1);
            Delay(500U);
            WDT_Disable();
        } else {
            /* Do nothing */
        }
#ifdef DEMO2
        Delay(500U);
        WDT_WriteClearCode();
        LedOn(LED0);
        Delay(500U);
        LedOff(LED0);
#endif
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
