/**
 *******************************************************************************
 * @file    tmpm3u6_wdt_int.c
 * @brief   All interrupt request functions definition of WDT
 *          for the TOSHIBA 'TMPM3U6' Device Series
 * @version V0.101
 * @date    2019/07/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm3u6_wdt_int.h"
uint8_t fIntNMI = 0U;

/**
  * @brief  The NMI interrupt request function.
  * @param  None
  * @retval None
  */
void NMI_Handler(void)
{
    volatile CG_NMIFactor RegVal = { 0U };
    RegVal = CG_GetNMIFlag();

    if (RegVal.Bit.WDT) {
        fIntNMI = 1U;
    } else {
        /* Do nothing */
    }
}
